angular.module('starter.controllers', [])

        .controller('TabCtrl', function ($scope, $timeout, $ionicSlideBoxDelegate, $ionicScrollDelegate) {

            $scope.selectedTab = 0;
            $scope.selectTabWithIndex = function (index) {

                $scope.selectedTab = index; // store tab pos

                $ionicSlideBoxDelegate.slide($scope.selectedTab); // change slider to match
            }

            function scrollTop()
            {

                $ionicScrollDelegate.scrollTop(false);

            }

            $scope.slideChanged = function (index) {
                switch (index) {
                    case 0:
                        scrollTop();
                        $scope.selectTabWithIndex(0);
                        break;
                    case 1:
                        scrollTop();
                        $scope.selectTabWithIndex(1);
                        break;
                    case 2:
                        scrollTop();
                        $scope.selectTabWithIndex(2);
                        break;
                    case 3:
                        scrollTop();
                        $scope.selectTabWithIndex(3);
                        break;
                    case 4:
                        scrollTop();
                        $scope.selectTabWithIndex(4);
                        break;
                }
            }
            ;
        }
        )


        .controller('DashCtrl', function ($scope, $ionicNavBarDelegate) {
            $ionicNavBarDelegate.showBackButton(false);
        })

        .controller('IdeologyCtrl', function ($scope, $state, OpenFB) {
        })

        .controller('HistoryCtrl', function ($scope, $state, OpenFB) {
        })

        .controller('LokSabhaCtrl', function ($scope, $state, OpenFB) {
        })
        .controller('RajyaSabhaCtrl', function ($scope, $state, OpenFB) {
        })
        .controller('RamManoharLohiaCtrl', function ($scope, $state, OpenFB) {
        })
        .controller('MulayamSinghYadavCtrl', function ($scope, $state, OpenFB) {
        })
        .controller('OurChiefMinisterCtrl', function ($scope, $state, OpenFB) {
        })
        .controller('LargePCtrl', function ($scope, $state, OpenFB) {
        })
        .controller('MlcCtrl', function ($scope, $state, OpenFB) {
        })

        .controller("MlaCtrl", function ($scope, $stateParams, OpenFB, Samajwadi) {

            $scope.mlas = Samajwadi.MlaAll();
        })
        .controller("ZilaAdhyakshCtrl", function ($scope, $stateParams, OpenFB, Samajwadi) {

            $scope.zilas = Samajwadi.ZilaAll();
        })

        .controller('MembershipCtrl', function ($scope, $ionicPopup, $ionicTabsDelegate, $timeout) {

            $scope.isInvalid = function () {
                console.log("isInvalid clicked");

                var mname = $scope.send.mname != null ? $scope.send.mname : '';
                var dob = $scope.send.dob != null ? $scope.send.dob : '';
                

                var mob1 = $scope.send.mob1 != null ? $scope.send.mob1 : '';
               
                $scope.send.to = "samajwadiyuvjansabha@gmail.com";
//                if (mname === "" || dob === "" || gender === "" || city === "" || state === "" || mob1 === "" || email === "")
//                {
//                    var alertPopup = $ionicPopup.alert({
//                        title: 'Alert',
//                        template: 'Please enter required information'
//                    });
//                    alertPopup.then(function () {
//
//                    });
//
//                    return true;
//
//                }



            }
            $scope.send = function () {
                console.log("send clicked");
                if (this.isInvalid()) {

                    return;
                }
                else
                {
                   
                    console.log('Thank you');
                    if (window.plugins && window.plugins.emailComposer) {
                        window.plugins.emailComposer.showEmailComposerWithCallback(function (result) {
                            console.log("Response -> " + result);
                        },
//                                [$scope.send.email], //From
                                "Membership Registration For Samajwadi Party", // Subject
                                "Name:" + $scope.send.mname + "\n" +
                                "Date of Birth:" + $scope.send.dob + "\n" +
                                "Gender:" + $scope.send.gender + "\n" +
                                "Father/Husband Name:" + $scope.send.fhname + "\n" +
                                "No. of Family Members:" + $scope.send.fmember + "\n" +
                                "Profession:" + $scope.send.profes + "\n" +
                                "Religion:" + $scope.send.relig + "\n" +
                                "Education Qualification:" + $scope.send.edu + "\n" +
                                "Address:" + $scope.send.add + "\n" +
                                "City:" + $scope.send.city + "\n" +
                                "State:" + $scope.send.state + "\n" +
                                "LokSabha Seat:" + $scope.send.lokseat + "\n" +
                                "Assembly Seat:" + $scope.send.assemseat + "\n" +
                                "Pincode:" + $scope.send.pin + "\n" +
                                "Telephone:" + $scope.send.tele + "\n" +
                                "Mob(1):" + $scope.send.mob1 + "\n" +
                                "Mob(2):" + $scope.send.mob2 + "\n" +
                                "Email:" + $scope.send.email + "\n"
                                , // Body
                                [$scope.send.to], // To
                                null, // CC
                                null, // BCC
                                false, // isHTML
                                null, // Attachments
                                null); // Attachment Data
                    }
                     $scope.send.mname = "";
                    $scope.send.dob = "";
                    $scope.send.gender = "";
                    $scope.send.fhname = "";
                    $scope.send.fmember = "";
                    $scope.send.profes = "";
                    $scope.send.relig = "";
                    $scope.send.edu = "";
                    $scope.send.add = "";

                    $scope.send.lokseat = "";
                    $scope.send.assemseat = "";
                    $scope.send.pin = "";
                    $scope.send.tele = "";
                   $scope.send.city = "";
                    $scope.send.state = "";

                     $scope.send.mob1 = "";
                     $scope.send.email = "";
                }

            };
        })

        .controller('PdfCtrl', function ($scope, $state, OpenFB, $cordovaFileOpener2) {

            $cordovaFileOpener2.open(
                    'http://www.samajwadiparty.in/pdf/Samvidhaan.pdf',
                    'application/pdf'
                    ).then(function () {
                // file opened successfully
            }, function (err) {
                // An error occurred. Show a message to the user
            });
        })
        .controller('PhotosCtrl', function ($scope, $timeout, $window, OpenFB, $ionicLoading, $ionicScrollDelegate, $ionicTabsDelegate, $rootScope) {
            $scope.doRefresh = function () {

                console.log('Refreshing');
                $timeout(function () {
                    $window.location.reload(true);
                    $scope.$broadcast('scroll.refreshComplete');
                });
            };
            $scope.goForward = function () {
                var selected = $ionicTabsDelegate.selectedIndex();
                if (selected != -1) {
                    $ionicTabsDelegate.select(selected + 1);
                }
            }

            $scope.goBack = function () {
                var selected = $ionicTabsDelegate.selectedIndex();
                if (selected != -1 && selected != 0) {
                    $ionicTabsDelegate.select(selected - 1);
                }
            }
            $scope.show = function () {
                $scope.loading = $ionicLoading.show({
                    content: 'Loading feed...'
                });
            };
            $scope.hide = function () {
                $ionicLoading.loading.hide();
            };
            photoFeed();
            function photoFeed()
            {

                $scope.show();
                OpenFB.get('/156501561036983/photos/uploaded?since=1262304000', {limit: 15})
                        .success(function (result) {
                            $ionicLoading.hide();
                            $scope.loaded = result.data;
                        })
                        .error(function (data) {
                            $ionicLoading.hide();
                            alert(data.error.message);
                        });
            }

            $scope.refreshedTop = 0;
            $scope.checkPhotoScroll = function () {

                var currentTop = $ionicScrollDelegate.$getByHandle('photoScroll').getScrollPosition().top;
                var maxTop = $ionicScrollDelegate.$getByHandle('photoScroll').getScrollView().__maxScrollTop;
                if (currentTop >= maxTop && maxTop != $scope.refreshedTop)
                {
                    $scope.refreshedTop = maxTop;
                    var a = loadMorePhotos();
                    console.log(a);
                    $scope.$apply();
                }
            };
            function loadMorePhotos()
            {
                $rootScope.range = $rootScope.range + 10;
                console.log($rootScope.range);
                $scope.show();
                OpenFB.get('/156501561036983/photos/uploaded?since=1262304000', {limit: $rootScope.range})
                        .success(function (result) {
                            $ionicLoading.hide();
                            $scope.loaded = result.data;
                            ;
                        })
                        .error(function (data) {
                            $ionicLoading.hide();
                            alert(data.error.message);
                        });
            }


        })

        .controller('AboutCtrl', function ($scope, OpenFB, $ionicTabsDelegate) {
            $scope.goForward = function () {
                var selected = $ionicTabsDelegate.selectedIndex();
                if (selected != -1) {
                    $ionicTabsDelegate.select(selected + 1);
                }
            }

            $scope.goBack = function () {
                var selected = $ionicTabsDelegate.selectedIndex();
                if (selected != -1 && selected != 0) {
                    $ionicTabsDelegate.select(selected - 1);
                }
            }

        })

        .controller('ContactCtrl', function ($scope, OpenFB, $ionicTabsDelegate) {

//            $scope.goForward = function () {
//                var selected = $ionicTabsDelegate.selectedIndex();
//                if (selected != -1) {
//                    $ionicTabsDelegate.select(selected + 1);
//                }
//            }
//
//            $scope.goBack = function () {
//                var selected = $ionicTabsDelegate.selectedIndex();
//                if (selected != -1 && selected != 0) {
//                    $ionicTabsDelegate.select(selected - 1);
//                }
//            }

        })

        .controller('PictureCtrl', function ($scope, $stateParams, OpenFB) {
            OpenFB.get('/' + $stateParams.feedId + '?fields=created_time,message,attachments')
                    .success(function (feed) {
                        $scope.feed = feed;
                    })
                    .error(function (data) {
                        alert(data.error.message);
                    });
        })


        .controller('LargePhotoCtrl', function ($scope, $stateParams, OpenFB) {
            console.log($stateParams.photoId);
            OpenFB.get('/' + $stateParams.photoId)
                    .success(function (feed) {

                        $scope.feed = feed;
                    })
                    .error(function (data) {
                        alert(data.error.message);
                    });
        })



        .controller('FeedCtrl', function ($scope, $window, $timeout, $rootScope, $stateParams, OpenFB, $ionicLoading, $ionicScrollDelegate, $ionicTabsDelegate) {
            var range = 2;
            $scope.doRefresh = function () {

                console.log('Refreshing');
                $timeout(function () {
                    $window.location.reload(true);
                    $scope.$broadcast('scroll.refreshComplete');
                });
            };
            $scope.goForward = function () {
                var selected = $ionicTabsDelegate.selectedIndex();
                if (selected != -1) {
                    $ionicTabsDelegate.select(selected + 1);
                }
            }

            $scope.goBack = function () {
                var selected = $ionicTabsDelegate.selectedIndex();
                if (selected != -1 && selected != 0) {
                    $ionicTabsDelegate.select(selected - 1);
                }
            }
            $scope.show = function () {
                $scope.loading = $ionicLoading.show({
                    content: 'Loading feed...'
                });
            };
            $scope.hide = function () {
                $ionicLoading.loading.hide();
            };
            loadFeed();
            function loadFeed()
            {
                $scope.show();
                OpenFB.get('/v2.3/156501561036983/posts?fields=created_time,message,attachments,story,from&limit=10', {since: 1262304000})
                        .success(function (result) {
                            $ionicLoading.hide();
                            //console.log(result.data[1].attachments.data[0].subattachments.data[0].media.image.src);
                            $scope.loaded = result.data;
                            // Used with pull-to-refresh
                            //$scope.loaded = [];
                            $scope.$broadcast('scroll.infiniteScrollComplete');
                        })
                        .error(function (data) {
                            $ionicLoading.hide();
                            alert(data.error.message);
                        });
            }
            ;
            $scope.refreshedTop = 0;
            $scope.checkScroll = function () {

                var currentTop = $ionicScrollDelegate.$getByHandle('libScroll').getScrollPosition().top;
                var maxTop = $ionicScrollDelegate.$getByHandle('libScroll').getScrollView().__maxScrollTop;
                if (currentTop >= maxTop && maxTop != $scope.refreshedTop)
                {
                    $scope.refreshedTop = maxTop;
                    var a = loadMore();
                    //console.log(a);
                    $scope.$apply();
                }
            };
            function loadMore()
            {
                //console.log("gloabal variable" + range);
                $rootScope.range = $rootScope.range + 10;
                //range = range * 10;
                console.log($rootScope.range);
                $scope.show();
                OpenFB.get('/v2.3/156501561036983/posts?fields=created_time,message,attachments,story,from&limit=' + $rootScope.range, {since: 1262304000})
                        .success(function (result) {

                            $ionicLoading.hide();
                            console.log(result.data);
                            //console.log(result.data[1].attachments.data[0].subattachments.data[0].media.image.src);
                            $scope.loaded = result.data;
                            // Used with pull-to-refresh
                            //$scope.loaded = [];
                            $scope.$broadcast('scroll.infiniteScrollComplete');
                        })
                        .error(function (data) {
                            $ionicLoading.hide();
                            alert(data.error.message);
                        });
            }


//            $scope.doRefresh = loadFeed;




        });